/*
 * simplest example case of incorrect function graph generation.
 * 
 * Opening parenthesis of subfunc() is now on the same line as the
 * function's name. Note that the function is charted correctly as
 * not invoked.
 *
 */

int main_fixed (int argc, char *argv[]);
int subfunc_fixed (int argc, char *argv);

/**
 * \brief the main part of the example; invokes no other functions
 * \param argc number of arguments in the arg vector
 * \param argv pointer to an array of strings containing the command line arguments
 */

int main_fixed
(
    int argc,
    char *argv[]
)
{
    int result;
    return (0);
}

/**
 * \brief a function which is never invoked (for use in a library, e.g.)
 * \param argc number of arguments in the arg vector
 * \param arg pointer to one string from the command line
 */
int subfunc_fixed (
    int argc,
    char *arg
)
{
    (void) argc;
    (void) arg;
    return 0;
}
